OnlyFans API
OnlyFansFinancial

Get Profitability

Calculate profitability for creators including revenue, costs, commissions, and margins for a specific month.

POST
/api/analytics/financial/profitability
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Request Body

application/json

account_ids*array<string>

Array of account prefixed IDs

year*integer

The year to calculate profitability for

month*integer

The month to calculate profitability for (1-12)

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/analytics/financial/profitability" \  -H "Content-Type: application/json" \  -d '{    "account_ids": [      "acc_abc123",      "acc_def456"    ],    "year": 2024,    "month": 6  }'
{
  "data": [
    {
      "onlyFansUserId": 12345,
      "creatorName": "Creator Name",
      "year": 2024,
      "month": 6,
      "projectedNet": "10000.00",
      "commissionRate": "20.00",
      "commissionAmount": "2000.00",
      "costs": [],
      "totalCosts": "500.00",
      "agencyEarnings": "2000.00",
      "profit": "1500.00",
      "marginPercentage": "75.00",
      "hasCommissionForPeriod": true,
      "hasCostsForPeriod": true,
      "activeMilestones": null,
      "referralNote": null,
      "ratePeriods": []
    }
  ]
}